package main

import (
	"fmt"
	"git.168cad.top/zhengqiuyun/rym-util/es"
	"git.168cad.top/zhengqiuyun/rym-util/log"
	"git.168cad.top/zhengqiuyun/rym-util/mysqlrym"
	"git.168cad.top/zhengqiuyun/rym-util/redis"
	"git.168cad.top/zhengqiuyun/rym-util/router"
)

func main() {
	mysqlrym.TestLog()
	es.TestLog()
	redis.TestLog()
	c := router.InitGinEngine()
	portAddr := fmt.Sprintf(":%d", 8080)
	log.Info(fmt.Sprintf("web start in port%s", portAddr))
	err := c.Run(portAddr)
	if err != nil {
		panic(err)
	}
}
