package router

import (
	"git.168cad.top/zhengqiuyun/rym-util/router/validator"
	"github.com/gin-gonic/gin"
	"github.com/gin-gonic/gin/render"
	"net/http"
)

func InitGinEngine() *gin.Engine {
	gin.SetMode(gin.ReleaseMode)
	c := gin.New()
	//便于工具监测
	c.GET("/favicon.ico", func(c *gin.Context) {
		c.Render(http.StatusOK, render.String{})
	})
	//自定义验证器
	validator.RegisterValidate()
	return c
}
